{% extends 'index.html' %}
{% load static %}
{% load customhumanize %}

{% block theme-css-files %}
  <link href="{% static 'assets/css/gallery.css' %}" rel="stylesheet" type="text/css"/>
  <link href="{% static 'assets/css/cropper.min.css' %}" rel="stylesheet" type="text/css"/>
{% endblock %}

{% block header-js %}
  <script src="{% static 'assets/js/vue/vee-validate.min.js' %}"></script>
  <script src="{% static 'assets/js/vue/vue-upload-component.min.js' %}"></script>
  <script src="{% static 'assets/js/vue/validators.js' %}"></script>
{% endblock %}

{% block page %}
    <div class="section section_default">
        <div class="section__content">
            <div class="section__header">
                <h1 class="section__title">{{ auto_edit_title|default:html_title }}</h1>
            </div>
            <div class="section__body">
                <span id="auto-edit">
                    {% if recommended_page %}
                        {% include 'auto/recommended_auto_edit_form.html' with edit=edit %}
                    {% else %}
                         {% include 'auto/auto_edit_form.html' with edit=edit %}
                    {% endif %}
                  <form id="form" action="" method="post">
                    {% csrf_token %}
                    <car-edit-form :addReportIsVisible=1 auto-action="{% url 'auto:add_auto_from_auto_ru' %}" :add-report-is-visible="true" manual-action=""></car-edit-form>
                  </form>
                </span>
            {% if not recommended_page %}
                <div id="report-list" class="mt_xl reports" v-cloak>
                    <div class="form-group form-group_default">
                      <div class="form-group__header">
                          <h3>Отчёты <span class="section__count">${ count }</span></h3>
                      </div>
                      <div class="form-group__body">
                          {% include 'report/reports.html' %}
                      </div>
                    </div>
                </div>
            {% endif %}
            </div>
        </div>
    </div>


  {% include 'progress-bar.html' %}
{% endblock %}

{% block not-compressed-js %}
  {{ block.super }}
  <script>
    $(document).on("change keyup input click", '.validateVin', function() {
      var container = $(this).closest('.fieldset__item');
          msg = container.find('.msg_field');

      if($(this).val() == ''){
        $(this).addClass('error');
      }else{
        $(this).removeClass('error');
        msg.css('display', 'none');
      }
    });

    $(document).on('click', '.valid.off', function(){
      var field = $('.fieldset__item');

      field.each(function(_, elem){
        var elem = $(elem);
            msg = elem.find('.msg_field');
            input = elem.find('.validateVin');

        if(msg.text().length != 0 && input.val() == ''){
          msg.css('display', 'block');
        }
      })
    })

    var auto_id={{ auto_id|default:'null' }};
    {% if auto.mileage|white_space_humanize == 'None'%} 
      var mileage = 0;
    {% else %}
      var mileage = '{{ auto.mileage|white_space_humanize|default_if_none:0 }}';
    {% endif %} 
    {% if auto.cost|white_space_humanize == 'None'%} 
      var cost = 0;
    {% else %}
      var cost = '{{ auto.cost|white_space_humanize|default_if_none:0 }}';
    {% endif %} 
    var store = {csrf: csrf, method: 2, uploadedFiles: []};
    {% if edit %}
      $(".car-form__item_manual").show();
      $(".car-car-form__item_auto").hide();
      store.uploadedFiles = {{ photos|safe }};
      store.method = 2;
      store.state= {
        filter:'',
        filterCount: 0
      }
    {% else %}
      store.method = 2;
    {% endif  %}
  </script>
{% endblock %}


{% block script %}
  {{ block.super }}
  <script src="{% static 'assets/js/auto/loader.js' %}"></script>
  <script src="{% static 'assets/js/other/image-compressor.min.js' %}"></script>
  <script src="{% static 'js/bus.bundle.js' %}"></script>
  <script src="{% static 'js/autoedit.bundle.js' %}"></script>
  <script src="{% static 'assets/js/other/cropper.min.js' %}"></script>
  <script src="{% static 'js/reportlist.bundle.js' %}"></script>
  <script>
    $(document).ready(function() {
      $('select').select2({});
    });
   </script>
{% endblock %}